
<?php
foreach ($detpenuntutan as $row)
	{
?>
	<div class="templatepopcentering" style="width:1024px;margin-top: 1%;">
    <div id='pop' style="border: 1px solid #ffffff;">
    <div class="detil" style="padding: 2px;background-color: white;">			

		<form id="frm_edit_penuntutan" style="background:white;margin:0;" method="post" enctype="multipart/form-data" action="<?php echo base_url().'penuntutan_c/validateEdit';?>">
			<table id="tableDetilPerkara" style="font-size:14px;">
				<col width="15%">
				<col width="85%">
				<tbody>
					<tr>
						<td colspan="2" style="background:white;border:0px;font-size: 20px;color: #648C03;" align="center"><?php echo $namahalaman; ?></td>
					</tr>
					<tr>
						<td>Nomor Perkara</td>
						<td><?php echo $row->nomor_perkara;?></td>
					</tr>
					<tr>
						<td>Tanggal Sidang Pertama</td>
						<td><?php echo $this->tanggalhelper->convertDayDate($row->tanggal_sidang);?></td>
					</tr>
					<tr>
						<td>Tanggal Tuntutan&nbsp;<span style="color:red">*</span></td>
						<td><?php 
							$tanggalnya=$this->tanggalhelper->convertToInputDate($row->tanggal_penuntutan);
							echo "<input type='text' id='tgl_tuntutan' name='tgl_tuntutan' class='datepicker' maxlength='10' placeholder='tgl/bln/tahun' value=$tanggalnya>";
							?></td>
					</tr>
					<tr>
						<td>Isi Tuntutan <span style="color:red">*</span></td>
						<td style="padding:0px;padding-left:5px;" id="isituntutan_text">
						<?php echo $this->ckeditor->editor("isituntutan",$row->isi_penuntutan);?>
						</td>
					</tr>
					<tr>
						<td colspan="2" style="background:white;border:0px;" align="center">
							<input type="hidden" name="enc" id="enc" value="<?php echo $enc; ?>">
							<input type="hidden" name="curr_date" id="curr_date" value="<?php echo $curr_date; ?>"> 
							<input type="hidden" name="namahalaman" id="namahalaman" value="<?php echo $namahalaman; ?>"> 
							<input type="button" id='close_edit_penuntutan' value="Kembali" class="btn">
							<input type="button" id="hapus" value="Hapus" style="text-decoration:none" class="btn btn-danger">
							<input type="submit" id="simpan" value="Simpan" class="btn">
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
</div>
<?php
}
?>
<script type="text/javascript">

$('#hapus').ButtonClickHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_edit_penuntutan',
	whenStatus:1,
	actions:'<?php echo base_url()?>penuntutan_c/hapus_penuntutan/<?php echo $enc; ?>/<?php echo $row->tanggal_pendaftaran?>',
	formName:'#frm_edit_penuntutan',
	actionName:'Hapus Data'
});

$('#frm_edit_penuntutan').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_edit_penuntutan',
	whenStatus:1,
	isCKEdit:1,
	tdID:'isituntutan_text',
	textID:'isituntutan',
	next_step:1
});

/*$('#close_edit_penuntutan').closingFormWin();*/
<?php 
if($this->session->userdata('jenis_pengadilan')==1){
?>
    $('#close_edit_penuntutan').click(function(){
        window.open("<?php echo base_url('perkara_detil/'.$enc.'/8');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==2){
?>
    $('#close_edit_penuntutan').click(function(){
        window.open("<?php echo base_url('perkara_detil_mil/'.$enc.'/8');?>","_self");    
    });           
<?php
}else if($this->session->userdata('jenis_pengadilan')==4){
?>
    $('#close_edit_penuntutan').click(function(){
        window.open("<?php echo base_url('perkara_detil_agama/'.$enc.'/8');?>","_self");    
    });           
<?php
}else{
?>
    $('#close_edit_penuntutan').closingFormWin();
<?php
}
?> 

$('#tgl_tuntutan').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				var tanggal_sidang = '<?php echo $row->tanggal_sidang; ?>';
				var tmp3 = tanggal_sidang.split("-");

				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() <= new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Sidang Pertama';
					error = 1
				}

				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					error = 1
				}

				dob = new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00");
				var tglDaftar = new Date($('#tglPendaftaran').val());
				var age = Math.floor((tglDaftar-dob) / (365.25 * 24 * 60 * 60 * 1000));
				if(age >1){
					message = 'Tanggal Tidak Valid. Silahkan Periksa Kembali';
					error = 1
				}
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
      	});

$('.datepicker').ValidateDateInput();
</script>